Bug 581144 - REF: Make a separate package for evolution plugin
Summary: REF: Make a separate package for evolution plugin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pidgin
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-10 13:37 UTC by Christoph Wickert
Modified: 2010-06-08 19:38 UTC (History)
4 users (show)

Fixed In Version: pidgin-2.7.1-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-08 19:37:27 UTC


Attachments (Terms of Use)

Description Christoph Wickert 2010-04-10 13:37:26 UTC
Description of problem:
Currently pidgin requires evolution-data-server for %{_libdir}/pidgin/gevolution.so. The plugin is not enabled by default and AFAICS, syncing contacts between evolution and pidgin hardly ever works. I always end up with duplicate contacts or duplicate IM entries for a contact in evolution.

Please split gevolution.so into a separate pidgin-evolution package.

Version-Release number of selected component (if applicable):
pidgin-2.6.6-2.fc13.x86_64
(in fact this version is not affected because the evolution integration is temporarily disabled, but when you re-enable it, please don't bring the e-d-s dependency back.
  
Actual results:
The dependency on evolution-data-server adds > +30 MB for the Xfce Spin. Especially libgweather is huge.

Expected results:
pidgin should be installable without evolution-data-server.

Additional info:
pidgin-evolution subpackge can be a conditional in comps, so it get's installed
automatically with evince if evolution is installed.

Comment 1 Christoph Wickert 2010-04-20 19:46:57 UTC
Is there a chance to fix this for F13?

Comment 2 Stu Tomlinson 2010-05-06 01:30:38 UTC
I should update this bug so I don't get ping'd to often on IRC about it :), sorry I'm a bit busy with other things too:

This issue will not affect F13. As you noted in the original report, current F13 builds are not affected.

The changes in evolution-data-server in F13 require upstream changes in Pidgin to the Evolution integration plugin. These changes are unlikely to happen soon, so currently the Evolution integration plugin is disabled in Fedora 13+ builds of Pidgin.

I accept that the issue reported in this bug is a genuine concern and will look to split the Evolution integration plugin out into a pidgin-evolution package if/when it compiles again.

Comment 3 Fedora Update System 2010-05-31 01:53:10 UTC
pidgin-2.7.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pidgin-2.7.1-1.fc12

Comment 4 Fedora Update System 2010-05-31 01:53:15 UTC
pidgin-2.7.1-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/pidgin-2.7.1-2.fc13

Comment 5 Fedora Update System 2010-05-31 18:11:37 UTC
pidgin-2.7.1-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pidgin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/pidgin-2.7.1-2.fc13

Comment 6 Fedora Update System 2010-05-31 18:30:55 UTC
pidgin-2.7.1-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pidgin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/pidgin-2.7.1-1.fc12

Comment 7 Fedora Update System 2010-06-08 19:37:22 UTC
pidgin-2.7.1-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-06-08 19:38:49 UTC
pidgin-2.7.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.